# Class ArgumentError

An error that is thrown when one of the arguments provided to a method is not valid.

#### Hierarchy (view full)

- Error
  - ArgumentError
    - ArgumentMissingError
    - ArgumentOutOfRangeError

#####
Index

### Constructors

constructor

### Properties

parameter

##
Constructors

### constructor

- new ArgumentError(parameter, message?): ArgumentError

- Initializes a new instance of the ArgumentError class.

  #### Parameters

  - parameter: string

    The name of the parameter corresponding to the invalid argument.

  - `Optional` message: string

    The error message. If not specified, a default one will be used.

  #### Returns ArgumentError

  Overrides Error.constructor

##
Properties

### parameter

parameter: string

The name of the method parameter corresponding to the invalid argument.